=== debian/changelog ===
mafft (7.407-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_build pass cross tools to make. (Closes: #914715)
  * Also simplify debian/rules using --sourcedirectory.

  [ Andreas Tille ]
  * Remove trailing whitespace in debian/changelog

 -- Andreas Tille <tille@debian.org>  Sun, 02 Dec 2018 11:39:45 +0100

mafft (7.407-1) unstable; urgency=medium

  * Team upload.

  * New upstream version.
    7.380–7.392 had a bug in the --add and --merge options
  * Standards-Version: 4.2.1

 -- Steffen Moeller <moeller@debian.org>  Wed, 28 Nov 2018 12:46:29 +0100
