## mafft 7.429

=== MPI/Makefile ===
--- 
+++ 
@@ -27,7 +27,7 @@
 STDF = -std=c99
 endif
 
-CFLAGS := $(ENABLE_MULTITHREAD) $(ENABLE_ATOMIC) $(STDF) $(CFLAGS) -I../core -MMD -MP
+MYCFLAGS := $(ENABLE_MULTITHREAD) $(ENABLE_ATOMIC) $(STDF) $(CFLAGS) -I../core -MMD -MP
 
 OBJDIR := ./obj
 ifeq "$(strip $(OBJDIR))" ""
@@ -71,7 +71,7 @@
 $(OBJDIR)/%.o : %.c
 	-@mkdir -p $(OBJDIR)
 	@[ -d $(OBJDIR) ]
-	$(CC) $(CFLAGS) $(CPPFLAGS) $(TARGET_ARCH) -o $@ -c $<
+	$(CC) $(MYCFLAGS) $(CPPFLAGS) $(TARGET_ARCH) -o $@ -c $<
 
 clean :
 	rm -f $(OBJNODPAIR) $(DEPSNODPAIR) $(PROGS) $(SCRIPTS) *.o *.a *.exe *~
