=== debian/changelog ===
mafft (7.429-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 12
  * Created with routine-update script.
  * Standards-Version: 4.4.0

 -- Steffen Moeller <moeller@debian.org>  Sat, 27 Jul 2019 12:56:27 +0200
