## mafft 7.453

=== core/Makefile ===
--- 
+++ 
@@ -14,6 +14,10 @@
 # Comment out the above line if your compiler 
 # does not support "atomic_int".
 
+#DASH_CLIENT = dash_client
+# Uncomment the above line to use protein 3D 
+# structural information.  Go language is required.
+
 CC = gcc
 #CC = icc
 CFLAGS = -O3
@@ -50,7 +54,8 @@
 PROGS = dvtditr dndfast7 dndblast sextet5 mafft-distance pairlocalalign \
 		multi2hat3s pairash addsingle maffttext2hex hex2maffttext \
         splittbfast disttbfast tbfast nodepair mafft-profile f2cl mccaskillwrap contrafoldwrap countlen \
-		seq2regtable regtable2seq score getlag dndpre setcore replaceu restoreu setdirection makedirectionlist version
+		seq2regtable regtable2seq score getlag dndpre setcore replaceu restoreu setdirection makedirectionlist version \
+		$(DASH_CLIENT)
 SOS = libdisttbfast.so
 DLLS = libdisttbfast.dll
 DYLIBS = libdisttbfast.dylib
@@ -152,6 +157,9 @@
 dylibs : $(DYLIBS)
 dlls : $(DLLS)
 
+$(DASH_CLIENT): dash_client.go
+	go build dash_client.go
+
 univscript: univscript.tmpl Makefile
 	sed "s:_PROGS:$(PROGS):" univscript.tmpl  > univscript
 
@@ -260,11 +268,3 @@
 	$(CC) -o $@ $(OBJDVTDITR) $(MYCFLAGS) $(LDFLAGS) $(LIBS)
 
 mafft-profile : $(OBJGALN)
-	$(CC) -o $@ $(OBJGALN) $(MYCFLAGS) $(LDFLAGS) $(LIBS)
-
-gapfill : $(OBJGAPFILL)
-	$(CC) -o $@ $(OBJGAPFILL) $(MYCFLAGS) $(LDFLAGS) $(LIBS)
-
-dndfast4 : $(OBJDNDFAST4)
-	$(CC) -o $@ $(OBJDNDFAST4) $(MYCFLAGS) $(LDFLAGS) $(LIBS)
-
