=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 12)
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/med-team/mafft
 Vcs-Git: https://salsa.debian.org/med-team/mafft.git
-Homepage: http://mafft.cbrc.jp/alignment/software/
+Homepage: https://mafft.cbrc.jp/alignment/software/
 
 Package: mafft
 Architecture: any
