## mafft 7.464

=== core/Makefile ===
--- 
+++ 
@@ -50,6 +50,9 @@
 MYCFLAGS = $(MNO_CYGWIN) $(ENABLE_MULTITHREAD) $(ENABLE_ATOMIC) $(STDF) $(CFLAGS)
 
 INSTALL = install
+
+STRIP = strip
+#STRIP = true # to disable strip
 
 PROGS = dvtditr dndfast7 dndblast sextet5 mafft-distance pairlocalalign \
 		multi2hat3s pairash addsingle maffttext2hex hex2maffttext \
@@ -159,6 +162,7 @@
 
 $(DASH_CLIENT): dash_client.go
 	go build dash_client.go
+#	go build --ldflags '-extldflags "-static"' dash_client.go
 
 univscript: univscript.tmpl Makefile
 	sed "s:_PROGS:$(PROGS):" univscript.tmpl  > univscript
@@ -265,6 +269,3 @@
 	$(CC) -o $@ $(OBJTDITR) $(MYCFLAGS) $(LDFLAGS) $(LIBS)
 
 dvtditr : $(OBJDVTDITR)
-	$(CC) -o $@ $(OBJDVTDITR) $(MYCFLAGS) $(LDFLAGS) $(LIBS)
-
-mafft-profile : $(OBJGALN)
