## mafft 7.467

=== debian/changelog ===
mafft (7.467-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Steffen Moeller <moeller@debian.org>  Fri, 15 May 2020 13:15:02 +0200

mafft (7.464-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Steffen Moeller <moeller@debian.org>  Sun, 03 May 2020 19:21:55 +0200

mafft (7.453-2) unstable; urgency=medium

  * Team upload

  [ Steffen Möller ]
  * Update metadata - added ref to bio.tools

  [ Nilesh Patra ]
  * Add patch for GCC-10
    Closes: #957512

  [ Andreas Tille ]
  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Nilesh Patra <npatra974@gmail.com>  Fri, 17 Apr 2020 21:50:30 +0200
