=== debian/control ===
--- 
+++ 
@@ -5,10 +5,11 @@
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 12)
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/mafft
 Vcs-Git: https://salsa.debian.org/med-team/mafft.git
 Homepage: https://mafft.cbrc.jp/alignment/software/
+Rules-Requires-Root: no
 
 Package: mafft
 Architecture: any
