## mafft 7.471

=== debian/changelog ===
mafft (7.471-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 13 (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 08 Jul 2020 15:59:06 +0200
