## mafft 7.475

=== debian/changelog ===
mafft (7.475-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)

 -- Steffen Moeller <moeller@debian.org>  Mon, 07 Dec 2020 18:22:24 +0100
