## mafft 7.487

=== debian/changelog ===
mafft (7.487-1) unstable; urgency=medium

  * New upstream version 7.487

 -- Nilesh Patra <nilesh@debian.org>  Mon, 16 Aug 2021 23:33:09 +0530
