## mafft 7.490

=== debian/changelog ===
mafft (7.490-1) unstable; urgency=medium

  * New upstream version 7.490
  * Bump Standards-Version to 4.6.0 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Tue, 02 Nov 2021 19:00:24 +0530
