=== debian/changelog ===
mafft (7.505-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 7.505
  * Removed myself from uploaders

 -- Nilesh Patra <nilesh@debian.org>  Sun, 26 Jun 2022 00:45:31 +0530
