=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Build rules for the Debian package mafft.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --sourcedirectory=core

override_dh_auto_build:
	dh_auto_build -- \
	  PREFIX=/usr/lib/mafft \
	  ENABLE_MULTITHREAD=-Denablemultithread \
	  LIBDIR=/usr/lib/mafft/lib/mafft \
	  CFLAGS="$(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)" \
	  LDFLAGS="$(shell dpkg-buildflags --get LDFLAGS)"

override_dh_clean:
	rm -rf binaries/* scripts/*
	dh_clean

MAFFT = MAFFT_BINARIES=$(CURDIR)/binaries scripts/mafft

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr/lib/mafft MANDIR=/usr/share/man/man1 LIBDIR=/usr/lib/mafft/lib/mafft
	rm debian/mafft/usr/lib/mafft/lib/mafft/*.1

override_dh_compress:
	dh_compress -X test/sample
