## mafft 7.525

=== MPI/Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 #CFLAGS =  -O0  -fPIC -pedantic -Wall -std=c99 -g -DMALLOC_CHECK_=3 # for shark, valgrind
 # CFLAGS := -O0 -g -ipo -no-prec-div -xHost -std=c99
 TARGET_ARCH := 
-LDLIBS := -lm -lrt   # -lrt?
+LDLIBS := -lm -lrt -lpthread  # -lrt?
 
 
 ENABLE_MULTITHREAD := -Denablemultithread
