=== debian/changelog ===
mafft (7.525-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * Added patch to support GCC 15. Closes: #1097352
  * d/rules: no longer need to remove extra manual pages.
  * d/control: recommend ncbi-blast+ instead of blast2

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 05 Sep 2025 11:12:08 +0200
