=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.6.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/mafft
 Vcs-Git: https://salsa.debian.org/med-team/mafft.git
 Homepage: https://mafft.cbrc.jp/alignment/software/
@@ -16,7 +16,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          ${perl:Depends}
-Recommends: blast2,
+Recommends: ncbi-blast+,
             libwww-perl,
             lynx,
             ruby
