=== debian/rules ===
--- 
+++ 
@@ -26,7 +26,6 @@
 
 override_dh_auto_install:
 	dh_auto_install -- PREFIX=/usr/lib/mafft MANDIR=/usr/share/man/man1 LIBDIR=/usr/lib/mafft/lib/mafft
-	rm debian/mafft/usr/lib/mafft/lib/mafft/*.1
 
 override_dh_compress:
 	dh_compress -X test/sample
