=== debian/watch ===
version=4
https://mafft.cbrc.jp/alignment/software/source.html mafft-(.*)-without-extensions-src.tgz
